Bug 195774

Summary: Web Inspector: changes to CSS resources only take affect once editing stops
Product: WebKit Reporter: Devin Rousso <drousso>
Component: Web InspectorAssignee: Devin Rousso <drousso>
Status: RESOLVED FIXED    
Severity: Normal CC: commit-queue, drousso, inspector-bugzilla-changes, nvasilyev, timothy, webkit-bug-importer
Priority: P2 Keywords: InRadar
Version: WebKit Nightly Build   
Hardware: All   
OS: All   
Attachments:
Description Flags
Patch none

Description Devin Rousso 2019-03-14 15:44:50 PDT
# STEPS TO REPRODUCE:
1. inspect any page
2. find a CSS resource in the Resources/Sources tab
3. find a CSS color value
4. show the color popover
5. drag your mouse around the color wheel that appears
 => corresponding usage of the color doesn't change in the page
5. stop moving your mouse
 => color changes after almost 1s
Comment 1 Radar WebKit Bug Importer 2019-03-14 15:45:11 PDT
<rdar://problem/48905413>
Comment 2 Devin Rousso 2019-03-14 15:52:33 PDT
Created attachment 364709 [details]
Patch
Comment 3 Nikita Vasilyev 2019-03-15 15:00:52 PDT
Comment on attachment 364709 [details]
Patch

Nice find! Using throttling instead of debouncing makes sense here.

You changed the timeout from 500 to 100ms. Have you tested this on large stylesheets? What happens when you edit colors on https://stackoverflow.com ?
Comment 4 Devin Rousso 2019-03-15 15:23:40 PDT
(In reply to Nikita Vasilyev from comment #3)
> You changed the timeout from 500 to 100ms. Have you tested this on large stylesheets? What happens when you edit colors on https://stackoverflow.com ?
I tried editing colors on <https://webkit.org> and <https://apple.com> and both seemed fine.
Comment 5 WebKit Commit Bot 2019-03-20 09:28:22 PDT
Comment on attachment 364709 [details]
Patch

Clearing flags on attachment: 364709

Committed r243208: <https://trac.webkit.org/changeset/243208>
Comment 6 WebKit Commit Bot 2019-03-20 09:28:23 PDT
All reviewed patches have been landed.  Closing bug.